Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.LogFlush Enumeration
TransactionConfig Class See Also Send Feedback

Specifies the log flushing behavior on transaction commit

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public enum LogFlush

Visual Basic (Declaration)
    Public Enumeration LogFlush

Visual C++
    public enum class LogFlush

# Members

| Member name | Description
--- | --- | ---
| DEFAULT | Use Berkeley DB's default behavior of syncing the log on commit.
| NOSYNC | Berkeley DB does not write or synchronously flush the log on transaction commit or prepare.
| WRITE_NOSYNC | Berkeley DB writes, but does not synchronously flush, the log on transaction commit or prepare.
| SYNC | Berkeley DB synchronously flushes the log on transaction commit or prepare.

# See Also

BerkeleyDB Namespace